scala.tools.nsc.backend.jvm.BCodeIdiomatic

# JCodeMethodN

#### abstract class JCodeMethodN extends AnyRef

Source
  BCodeIdiomatic.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
bc
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. JCodeMethodN
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new JCodeMethodN()

### Abstract Value Members

1. #### abstract def jmethod: MethodVisitor

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from JCodeMethodN to any2stringadd[JCodeMethodN] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (JCodeMethodN, B)

   Implicit information
     This member is added by an implicit conversion from JCodeMethodN to ArrowAssoc[JCodeMethodN] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def add(tk: BTypesFromSymbols.BType): Unit

7. #### final def aload(tk: BTypesFromSymbols.BType): Unit

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### final def astore(tk: BTypesFromSymbols.BType): Unit

10. #### final def boolconst(b: Boolean): Unit

11. #### final def checkCast(tk: BTypesFromSymbols.RefBType): Unit

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### final def dconst(cst: Double): Unit

14. #### final def div(tk: BTypesFromSymbols.BType): Unit

15. #### final def drop(tk: BTypesFromSymbols.BType): Unit

16. #### final def dup(tk: BTypesFromSymbols.BType): Unit

17. #### final def emit(opc: Int): Unit

18. #### final def emitIF(cond: Global.icodes.TestOp, label: Label): Unit

19. #### final def emitIFNONNULL(label: Label): Unit

20. #### final def emitIFNULL(label: Label): Unit

21. #### final def emitIF_ACMP(cond: Global.icodes.TestOp, label: Label): Unit

22. #### final def emitIF_ICMP(cond: Global.icodes.TestOp, label: Label): Unit

23. #### final def emitPrimitive(opcs: Array[Int], tk: BTypesFromSymbols.BType): Unit

24. #### final def emitRETURN(tk: BTypesFromSymbols.BType): Unit

25. #### final def emitSWITCH(keys: Array[Int], branches: Array[Label], defaultBranch: Label, minDensity: Double): Unit

26. #### final def emitT2T(from: BTypesFromSymbols.BType, to: BTypesFromSymbols.BType): Unit

27. #### final def emitTypeBased(opcs: Array[Int], tk: BTypesFromSymbols.BType): Unit

28. #### final def emitVarInsn(opc: Int, idx: Int, tk: BTypesFromSymbols.BType): Unit

29. #### def ensuring(cond: (JCodeMethodN) ⇒ Boolean, msg: ⇒ Any): JCodeMethodN

    Implicit information
      This member is added by an implicit conversion from JCodeMethodN to Ensuring[JCodeMethodN] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

30. #### def ensuring(cond: (JCodeMethodN) ⇒ Boolean): JCodeMethodN

    Implicit information
      This member is added by an implicit conversion from JCodeMethodN to Ensuring[JCodeMethodN] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

31. #### def ensuring(cond: Boolean, msg: ⇒ Any): JCodeMethodN

    Implicit information
      This member is added by an implicit conversion from JCodeMethodN to Ensuring[JCodeMethodN] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

32. #### def ensuring(cond: Boolean): JCodeMethodN

    Implicit information
      This member is added by an implicit conversion from JCodeMethodN to Ensuring[JCodeMethodN] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

33. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

34. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

35. #### final def fconst(cst: Float): Unit

36. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

37. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from JCodeMethodN to StringFormat[JCodeMethodN] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

38. #### final def genEndConcat: Unit

39. #### final def genPrimitiveArithmetic(op: Global.icodes.ArithmeticOp, kind: BTypesFromSymbols.BType): Unit

40. #### final def genPrimitiveLogical(op: Int, kind: BTypesFromSymbols.BType): Unit

41. #### final def genPrimitiveShift(op: Int, kind: BTypesFromSymbols.BType): Unit

42. #### final def genStartConcat: Unit

43. #### final def genStringConcat(el: BTypesFromSymbols.BType): Unit

44. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

45. #### final def goTo(label: Label): Unit

46. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

47. #### final def iconst(cst: Int): Unit

48. #### final def invokeinterface(owner: String, name: String, desc: String): Unit

49. #### final def invokespecial(owner: String, name: String, desc: String): Unit

50. #### final def invokestatic(owner: String, name: String, desc: String): Unit

51. #### final def invokevirtual(owner: String, name: String, desc: String): Unit

52. #### final def isInstance(tk: BTypesFromSymbols.RefBType): Unit

53. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

54. #### final def lconst(cst: Long): Unit

55. #### final def load(idx: Int, tk: BTypesFromSymbols.BType): Unit

56. #### final def mul(tk: BTypesFromSymbols.BType): Unit

57. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

58. #### final def neg(tk: BTypesFromSymbols.BType): Unit

59. #### final def newarray(elem: BTypesFromSymbols.BType): Unit

60. #### final def notify(): Unit

    Definition Classes
      AnyRef

61. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

62. #### final def rem(tk: BTypesFromSymbols.BType): Unit

63. #### final def store(idx: Int, tk: BTypesFromSymbols.BType): Unit

64. #### final def sub(tk: BTypesFromSymbols.BType): Unit

65. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

66. #### def toString(): String

    Definition Classes
      AnyRef → Any

67. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

68. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

69. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

70. #### def →[B](y: B): (JCodeMethodN, B)

    Implicit information
      This member is added by an implicit conversion from JCodeMethodN to ArrowAssoc[JCodeMethodN] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from JCodeMethodN to any2stringadd[JCodeMethodN]

### Inherited by implicit conversion StringFormat from JCodeMethodN to StringFormat[JCodeMethodN]

### Inherited by implicit conversion Ensuring from JCodeMethodN to Ensuring[JCodeMethodN]

### Inherited by implicit conversion ArrowAssoc from JCodeMethodN to ArrowAssoc[JCodeMethodN]

### Ungrouped